import { T as TableConfig } from './table-config-d73a72ab.js';
import { D as DvnAppViewConfig, A as AppViewType } from './view-config-1ed8c59f.js';

class TakvimMeetingListViewConfig extends DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(TakvimMeetingListViewConfig.prototype), json);
    model.table = TableConfig.decode(model.table);
    model.type = AppViewType.TakvimMeetingListViewTable;
    return model;
  }
}

export { TakvimMeetingListViewConfig as T };
